Index: doc/singular.idx
===================================================================
--- doc/singular.idx	(revision a719149f9dbe9f99164ada14b6234f2f7b085283)
+++ doc/singular.idx	(revision a070b84d59be835a2946d1386edd3221d80f3fe7)
@@ -2193,433 +2252,438 @@
 list related functions	list related functions	sing_122.htm#SEC162	
 listvar		sing_336.htm#SEC376	
-lll		sing_2392.htm#SEC2468	
+lll		sing_2395.htm#SEC2471	
 load		sing_437.htm#SEC477	
-loadLib, option		sing_364.htm#IDX173	
-loadProc, option		sing_364.htm#IDX174	
-locAtZero		sing_1282.htm#SEC1358	
-locNormal		sing_1218.htm#SEC1294	
-local methods		sing_1217.htm#IDX486	
-local methods 		sing_1218.htm#IDX489	
+loadLib, option		sing_364.htm#IDX178	
+loadProc, option		sing_364.htm#IDX179	
+locAtZero		sing_1285.htm#SEC1361	
+locNormal		sing_1221.htm#SEC1297	
+local methods		sing_1220.htm#IDX493	
+local methods 		sing_1221.htm#IDX496	
 local names		sing_46.htm#SEC83	
-local rings, computing in	Rings associated to monomial orderings	sing_845.htm#SEC897	
-local weighted lexicographical ordering		sing_894.htm#IDX399	
-local weighted reverse lexicographical ordering	Local orderings	sing_894.htm#IDX396	
-localInvar		sing_1710.htm#SEC1786	
-localization	Rings associated to monomial orderings	sing_845.htm#SEC897	
-localization 		sing_2143.htm#IDX808	
-localization of D-module		sing_611.htm#IDX333	
-localization of D-module 		sing_815.htm#IDX371	
-locally closed set, constructible set		sing_964.htm#IDX415	
-localstd		sing_2001.htm#SEC2077	
-locnormal.lib		sing_1217.htm#SEC1293	
-locnormal_lib		sing_1217.htm#SEC1293	
-locstd		sing_1639.htm#SEC1715	
-locus		sing_965.htm#SEC1041	
-locusdg		sing_966.htm#SEC1042	
-locusto		sing_969.htm#SEC1045	
-log2		sing_1891.htm#SEC1967	
-logarithmic annihilator ideal		sing_588.htm#IDX322	
-lowerHomogeneitySpace	lowerHomogeneitySpace	sing_2418.htm#SEC2494	
-lp, global ordering		sing_893.htm#IDX377	
-lp2iv		sing_677.htm#SEC729	
-lp2ivId		sing_678.htm#SEC730	
-lp2lstr		sing_689.htm#SEC741	
-lpDHilbert		sing_661.htm#SEC713	
-lpDHilbertSickle		sing_662.htm#SEC714	
-lpDimCheck		sing_664.htm#SEC716	
-lpHilbert		sing_663.htm#SEC715	
-lpId2ivLi		sing_679.htm#SEC731	
-lpKDim		sing_665.htm#SEC717	
-lpMis2Base		sing_666.htm#SEC718	
-lpMis2Dim		sing_667.htm#SEC719	
-lpMult		sing_686.htm#SEC738	
-lpNF		sing_683.htm#SEC735	
-lpOrdMisLex		sing_668.htm#SEC720	
-lpPower		sing_688.htm#SEC740	
-lpSickle		sing_669.htm#SEC721	
-lpSickleDim		sing_671.htm#SEC723	
-lpSickleHil		sing_670.htm#SEC722	
-lprint		sing_972.htm#SEC1048	
+local rings, computing in	Rings associated to monomial orderings	sing_847.htm#SEC899	
+local weighted lexicographical ordering		sing_896.htm#IDX405	
+local weighted reverse lexicographical ordering	Local orderings	sing_896.htm#IDX402	
+localInvar		sing_1713.htm#SEC1789	
+localization	Rings associated to monomial orderings	sing_847.htm#SEC899	
+localization 		sing_2146.htm#IDX815	
+localization of D-module		sing_612.htm#IDX339	
+localization of D-module 		sing_817.htm#IDX377	
+locally closed set, constructible set		sing_966.htm#IDX421	
+localstd		sing_2004.htm#SEC2080	
+locnormal.lib		sing_1220.htm#SEC1296	
+locnormal_lib		sing_1220.htm#SEC1296	
+locstd		sing_1642.htm#SEC1718	
+locus		sing_967.htm#SEC1043	
+locusdg		sing_968.htm#SEC1044	
+locusto		sing_971.htm#SEC1047	
+log2		sing_1894.htm#SEC1970	
+logarithmic annihilator ideal		sing_589.htm#IDX328	
+lowerHomogeneitySpace	lowerHomogeneitySpace	sing_2423.htm#SEC2499	
+lp, global ordering		sing_895.htm#IDX383	
+lp2iv		sing_678.htm#SEC730	
+lp2ivId		sing_679.htm#SEC731	
+lp2lstr		sing_690.htm#SEC742	
+lpDHilbert		sing_662.htm#SEC714	
+lpDHilbertSickle		sing_663.htm#SEC715	
+lpDimCheck		sing_665.htm#SEC717	
+lpHilbert		sing_664.htm#SEC716	
+lpId2ivLi		sing_680.htm#SEC732	
+lpKDim		sing_666.htm#SEC718	
+lpMis2Base		sing_667.htm#SEC719	
+lpMis2Dim		sing_668.htm#SEC720	
+lpMult		sing_687.htm#SEC739	
+lpNF		sing_684.htm#SEC736	
+lpOrdMisLex		sing_669.htm#SEC721	
+lpPower		sing_689.htm#SEC741	
+lpSickle		sing_670.htm#SEC722	
+lpSickleDim		sing_672.htm#SEC724	
+lpSickleHil		sing_671.htm#SEC723	
+lprint		sing_974.htm#SEC1050	
 lres		sing_337.htm#SEC377	
-ls, local ordering		sing_894.htm#IDX390	
-lst2str		sing_690.htm#SEC742	
-lsum		sing_1184.htm#SEC1260	
+ls, local ordering		sing_896.htm#IDX396	
+lst2str		sing_691.htm#SEC743	
+lsum		sing_1187.htm#SEC1263	
 ludecomp		sing_338.htm#SEC378	
 luinverse		sing_339.htm#SEC379	
 lusolve		sing_340.htm#SEC380	
-m_merkle_hellman_decryption	m_merkle_hellman_decryption	sing_1963.htm#SEC2039	
-m_merkle_hellman_encryption	m_merkle_hellman_encryption	sing_1962.htm#SEC2038	
-m_merkle_hellman_transformation	m_merkle_hellman_transformation	sing_1961.htm#SEC2037	
-magnitude		sing_1885.htm#SEC1961	
-makeDivisor		sing_2234.htm#SEC2310	
-makeFormalDivisor		sing_2244.htm#SEC2320	
-makeGraph		sing_1175.htm#SEC1251	
-makeHeisenberg		sing_766.htm#SEC818	
-makeLetterplaceRing		sing_681.htm#SEC733	
-makeMalgrange		sing_648.htm#SEC700	
-makeModElimRing		sing_783.htm#SEC835	
-makePDivisor		sing_2250.htm#SEC2326	
-makeQsl2		sing_731.htm#SEC783	
-makeQsl3		sing_732.htm#SEC784	
-makeQso3		sing_730.htm#SEC782	
-makeUe6		sing_727.htm#SEC779	
-makeUe7		sing_728.htm#SEC780	
-makeUe8		sing_729.htm#SEC781	
-makeUf4		sing_726.htm#SEC778	
-makeUg2		sing_725.htm#SEC777	
-makeUgl		sing_711.htm#SEC763	
-makeUsl		sing_710.htm#SEC762	
-makeUsl2		sing_709.htm#SEC761	
-makeUso10		sing_717.htm#SEC769	
-makeUso11		sing_718.htm#SEC770	
-makeUso12		sing_719.htm#SEC771	
-makeUso5		sing_712.htm#SEC764	
-makeUso6		sing_713.htm#SEC765	
-makeUso7		sing_714.htm#SEC766	
-makeUso8		sing_715.htm#SEC767	
-makeUso9		sing_716.htm#SEC768	
-makeUsp1		sing_720.htm#SEC772	
-makeUsp2		sing_721.htm#SEC773	
-makeUsp3		sing_722.htm#SEC774	
-makeUsp4		sing_723.htm#SEC775	
-makeUsp5		sing_724.htm#SEC776	
-makeWeyl		sing_765.htm#SEC817	
+m_merkle_hellman_decryption	m_merkle_hellman_decryption	sing_1966.htm#SEC2042	
+m_merkle_hellman_encryption	m_merkle_hellman_encryption	sing_1965.htm#SEC2041	
+m_merkle_hellman_transformation	m_merkle_hellman_transformation	sing_1964.htm#SEC2040	
+magnitude		sing_1888.htm#SEC1964	
+makeDivisor		sing_2237.htm#SEC2313	
+makeFormalDivisor		sing_2247.htm#SEC2323	
+makeGraph		sing_1178.htm#SEC1254	
+makeHeisenberg		sing_768.htm#SEC820	
+makeLetterplaceRing		sing_682.htm#SEC734	
+makeMalgrange		sing_649.htm#SEC701	
+makeModElimRing		sing_785.htm#SEC837	
+makePDivisor		sing_2253.htm#SEC2329	
+makeQsl2		sing_732.htm#SEC784	
+makeQsl3		sing_733.htm#SEC785	
+makeQso3		sing_731.htm#SEC783	
+makeUe6		sing_728.htm#SEC780	
+makeUe7		sing_729.htm#SEC781	
+makeUe8		sing_730.htm#SEC782	
+makeUf4		sing_727.htm#SEC779	
+makeUg2		sing_726.htm#SEC778	
+makeUgl		sing_712.htm#SEC764	
+makeUsl		sing_711.htm#SEC763	
+makeUsl2		sing_710.htm#SEC762	
+makeUso10		sing_718.htm#SEC770	
+makeUso11		sing_719.htm#SEC771	
+makeUso12		sing_720.htm#SEC772	
+makeUso5		sing_713.htm#SEC765	
+makeUso6		sing_714.htm#SEC766	
+makeUso7		sing_715.htm#SEC767	
+makeUso8		sing_716.htm#SEC768	
+makeUso9		sing_717.htm#SEC769	
+makeUsp1		sing_721.htm#SEC773	
+makeUsp2		sing_722.htm#SEC774	
+makeUsp3		sing_723.htm#SEC775	
+makeUsp4		sing_724.htm#SEC776	
+makeUsp5		sing_725.htm#SEC777	
+makeWeyl		sing_767.htm#SEC819	
 map		sing_123.htm#SEC163	
-map (plural)		sing_476.htm#SEC516	
+map (plural)		sing_477.htm#SEC517	
 map declarations		sing_124.htm#SEC164	
-map declarations (plural)	map declarations (plural)	sing_477.htm#SEC517	
+map declarations (plural)	map declarations (plural)	sing_478.htm#SEC518	
 map expressions		sing_125.htm#SEC165	
-map expressions (plural)	map expressions (plural)	sing_478.htm#SEC518	
+map expressions (plural)	map expressions (plural)	sing_479.htm#SEC519	
 map operations		sing_126.htm#IDX129	
-map operations (plural)	map operations (plural)	sing_479.htm#IDX288	
-map related functions	map related functions	sing_127.htm#IDX130	
-map related functions  (plural)	map related functions (plural)	sing_480.htm#IDX289	
-mapIsFinite		sing_1152.htm#SEC1228	
-mapToRatNormCurve		sing_1411.htm#SEC1487	
-mapall		sing_1037.htm#SEC1113	
-mappingcone		sing_2328.htm#SEC2404	
-mappingcone3		sing_2330.htm#SEC2406	
-markov4ti2		sing_1367.htm#SEC1443	9163
-mat2arr		sing_2128.htm#SEC2204	
-mat2carr		sing_2129.htm#SEC2205	
-mat_rk		sing_1126.htm#SEC1202	
-matbil		sing_2012.htm#SEC2088	
-mathematical objects	Representation of mathematical objects	sing_889.htm#SEC941	
-mathinit		sing_1797.htm#SEC1873	
-matmult		sing_2013.htm#SEC2089	
+map operations (plural)	map operations (plural)	sing_480.htm#IDX294	
+map related functions	map related functions	sing_127.htm#IDX131	
+map related functions  (plural)	map related functions (plural)	sing_481.htm#IDX295	
+mapIsFinite		sing_1155.htm#SEC1231	
+mapToRatNormCurve		sing_1414.htm#SEC1490	
+mapall		sing_1039.htm#SEC1115	
+mappingcone		sing_2331.htm#SEC2407	
+mappingcone3		sing_2333.htm#SEC2409	
+markov4ti2		sing_1370.htm#SEC1446	9163
+mat2arr		sing_2131.htm#SEC2207	
+mat2carr		sing_2132.htm#SEC2208	
+mat_rk		sing_1129.htm#SEC1205	
+matbil		sing_2015.htm#SEC2091	
+mathematical objects	Representation of mathematical objects	sing_891.htm#SEC943	
+mathinit		sing_1800.htm#SEC1876	
+matmult		sing_2016.htm#SEC2092	
 matrix		sing_128.htm#SEC168	
-matrix 		sing_2128.htm#IDX776	
-matrix  		sing_2129.htm#IDX779	
-matrix   		sing_2130.htm#IDX783	
+matrix 		sing_2131.htm#IDX783	
+matrix  		sing_2132.htm#IDX786	
+matrix   		sing_2133.htm#IDX790	
 matrix declarations		sing_129.htm#SEC169	
-matrix diagonalization		sing_1874.htm#IDX724	
+matrix diagonalization		sing_1877.htm#IDX731	
 matrix expressions		sing_130.htm#SEC170	
 matrix operations		sing_132.htm#SEC172	
 matrix related functions	matrix related functions	sing_133.htm#SEC173	
 matrix type cast		sing_131.htm#SEC171	
-matrix.lib		sing_1079.htm#SEC1155	
-matrixExp		sing_1401.htm#SEC1477	
-matrixLog		sing_1402.htm#SEC1478	
-matrixT1		sing_1653.htm#SEC1729	
-matrix_lib		sing_1079.htm#SEC1155	
-matrixpres		sing_2333.htm#SEC2409	
-matrixsystem		sing_2274.htm#SEC2350	
+matrix.lib		sing_1082.htm#SEC1158	
+matrixExp		sing_1404.htm#SEC1480	
+matrixLog		sing_1405.htm#SEC1481	
+matrixT1		sing_1656.htm#SEC1732	
+matrix_lib		sing_1082.htm#SEC1158	
+matrixpres		sing_2336.htm#SEC2412	
+matrixsystem		sing_2277.htm#SEC2353	
 max		sing_341.htm#SEC381	
-maxEord		sing_1426.htm#SEC1502	
-maxIntRoot		sing_832.htm#SEC884	
-maxZeros		sing_1404.htm#SEC1480	
-maxabs		sing_2031.htm#SEC2107	
-maxcoef		sing_995.htm#SEC1071	
-maxdeg		sing_996.htm#SEC1072	
-maxdeg1		sing_997.htm#SEC1073	
+maxEord		sing_1429.htm#SEC1505	
+maxExp		sing_261.htm#IDX136	
+maxIntRoot		sing_834.htm#SEC886	
+maxZeros		sing_1407.htm#SEC1483	
+maxabs		sing_2034.htm#SEC2110	
+maxcoef		sing_997.htm#SEC1073	
+maxdeg		sing_998.htm#SEC1074	
+maxdeg1		sing_999.htm#SEC1075	
 maxideal		sing_342.htm#SEC382	
-maximalFace		sing_2448.htm#SEC2524	
-maximalGroebnerCone		sing_2416.htm#SEC2492	
-maximalValue		sing_2449.htm#SEC2525	
-maximum		sing_1904.htm#SEC1980	
-maximum number of zeroes		sing_1404.htm#IDX531	
+maximalFace		sing_2453.htm#SEC2529	
+maximalGroebnerCone		sing_2421.htm#SEC2497	
+maximalValue		sing_2454.htm#SEC2530	
+maximum		sing_1907.htm#SEC1983	
+maximum number of zeroes		sing_1407.htm#IDX538	
 mdouble		sing_56.htm#SEC93	
-mem, option		sing_364.htm#IDX175	
-membershipMon		sing_1228.htm#SEC1304	
+mem, option		sing_364.htm#IDX180	
+membershipMon		sing_1231.htm#SEC1307	
 memory		sing_343.htm#SEC383	
 memory managment		sing_343.htm#SEC383	
-merkle_hellman_decryption	merkle_hellman_decryption	sing_1965.htm#SEC2041	
-merkle_hellman_encryption	merkle_hellman_encryption	sing_1964.htm#SEC2040	
-midpoint		sing_2270.htm#SEC2346	
-milnor		sing_1640.htm#SEC1716	
-milnorcode		sing_1524.htm#SEC1600	
-milnornumber		sing_2406.htm#SEC2482	
+merkle_hellman_decryption	merkle_hellman_decryption	sing_1968.htm#SEC2044	
+merkle_hellman_encryption	merkle_hellman_encryption	sing_1967.htm#SEC2043	
+midpoint		sing_2273.htm#SEC2349	
+milnor		sing_1643.htm#SEC1719	
+milnorcode		sing_1527.htm#SEC1603	
+milnornumber		sing_2411.htm#SEC2487	
 min		sing_344.htm#SEC384	
-minAssChar		sing_1326.htm#SEC1402	
-minAssCharE		sing_1327.htm#SEC1403	
-minAssGTZ		sing_1324.htm#SEC1400	
-minAssGTZE		sing_1325.htm#SEC1401	
-minAssZ		sing_1344.htm#SEC1420	
-minEcart		sing_1994.htm#SEC2070	
-minIntRoot		sing_609.htm#SEC661	
-minIntRoot2		sing_831.htm#SEC883	
-minMult		sing_1159.htm#SEC1235	
+minAssChar		sing_1329.htm#SEC1405	
+minAssCharE		sing_1330.htm#SEC1406	
+minAssGTZ		sing_1327.htm#SEC1403	
+minAssGTZE		sing_1328.htm#SEC1404	
+minAssZ		sing_1347.htm#SEC1423	
+minEcart		sing_1997.htm#SEC2073	
+minIntRoot		sing_610.htm#SEC662	
+minIntRoot2		sing_833.htm#SEC885	
+minMult		sing_1162.htm#SEC1238	
 minbase		sing_345.htm#SEC385	
-minbaseMon		sing_1225.htm#SEC1301	
-mindeg		sing_998.htm#SEC1074	
-mindeg1		sing_999.htm#SEC1075	
-mindist		sing_1849.htm#SEC1925	
-minimal display time, setting the		sing_406.htm#IDX272	
-minimalFace		sing_2450.htm#SEC2526	
-minimalValue		sing_2451.htm#SEC2527	
-minipoly		sing_1131.htm#SEC1207	
-minkowskiSum		sing_2452.htm#SEC2528	
+minbaseMon		sing_1228.htm#SEC1304	
+mindeg		sing_1000.htm#SEC1076	
+mindeg1		sing_1001.htm#SEC1077	
+mindist		sing_1852.htm#SEC1928	
+minimal display time, setting the		sing_406.htm#IDX278	
+minimalFace		sing_2455.htm#SEC2531	
+minimalValue		sing_2456.htm#SEC2532	
+minipoly		sing_1134.htm#SEC1210	
+minkowskiSum		sing_2457.htm#SEC2533	
 minor		sing_346.htm#SEC386	
 minpoly		sing_445.htm#SEC485	
 minres		sing_347.htm#SEC387	
-minres (plural)		sing_515.htm#SEC555	
-mirror symmetry		sing_1174.htm#IDX456	
-mixed Hodge structure		sing_1562.htm#IDX587	
-mixed Hodge structure 		sing_1568.htm#IDX615	
-mixed Hodge structure  		sing_1569.htm#IDX621	
-mixed Hodge structure   		sing_1570.htm#IDX629	
-mixed Hodge structure    		sing_1571.htm#IDX635	
-mixed Hodge structure     		sing_1572.htm#IDX643	
-mixed Hodge structure      		sing_1573.htm#IDX653	
-mixed Hodge structure       		sing_1584.htm#IDX659	
-mixed Hodge structure        		sing_1586.htm#IDX670	
+minres (plural)		sing_516.htm#SEC556	
+mirror symmetry		sing_1177.htm#IDX463	
+mixed Hodge structure		sing_1565.htm#IDX594	
+mixed Hodge structure 		sing_1571.htm#IDX622	
+mixed Hodge structure  		sing_1572.htm#IDX628	
+mixed Hodge structure   		sing_1573.htm#IDX636	
+mixed Hodge structure    		sing_1574.htm#IDX642	
+mixed Hodge structure     		sing_1575.htm#IDX650	
+mixed Hodge structure      		sing_1576.htm#IDX660	
+mixed Hodge structure       		sing_1587.htm#IDX666	
+mixed Hodge structure        		sing_1589.htm#IDX677	
 mod		sing_76.htm#SEC116	
 mod 		sing_93.htm#SEC133	
 mod  		sing_142.htm#SEC182	
-mod2id		sing_1003.htm#SEC1079	
-mod2str		sing_691.htm#SEC743	
-modDec		sing_1244.htm#SEC1320	
-modNPos		sing_1267.htm#SEC1343	
-modNormal		sing_1220.htm#SEC1296	
-modNpos_test		sing_1265.htm#SEC1341	
-modStd		sing_1222.htm#SEC1298	
-modWalk		sing_2337.htm#SEC2413	
-mod_versal		sing_1553.htm#SEC1629	
-modality		sing_1532.htm#SEC1608	
-modfWalk		sing_2339.htm#SEC2415	
-modfrWalk		sing_2340.htm#SEC2416	
-modnormal.lib		sing_1219.htm#SEC1295	
-modnormal_lib		sing_1219.htm#SEC1295	
-modrWalk		sing_2338.htm#SEC2414	
-modregCM		sing_1271.htm#SEC1347	
-modsatiety		sing_1269.htm#SEC1345	
-modstd.lib		sing_1221.htm#SEC1297	
-modstd_lib		sing_1221.htm#SEC1297	
-modular		sing_981.htm#SEC1057	
-modular methods		sing_1217.htm#IDX487	
-modular methods 		sing_1219.htm#IDX492	
-modular methods.		sing_1218.htm#IDX490	
-modular techniques.		sing_1220.htm#IDX494	
-modular.lib		sing_980.htm#SEC1056	
-modular_lib		sing_980.htm#SEC1056	
-modular_lib 		sing_980.htm#IDX421	
+mod2id		sing_1005.htm#SEC1081	
+mod2str		sing_692.htm#SEC744	
+modDec		sing_1247.htm#SEC1323	
+modNPos		sing_1270.htm#SEC1346	
+modNormal		sing_1223.htm#SEC1299	
+modNpos_test		sing_1268.htm#SEC1344	
+modStd		sing_1225.htm#SEC1301	
+modWalk		sing_2340.htm#SEC2416	
+mod_versal		sing_1556.htm#SEC1632	
+modality		sing_1535.htm#SEC1611	
+modfWalk		sing_2342.htm#SEC2418	
+modfrWalk		sing_2343.htm#SEC2419	
+modnormal.lib		sing_1222.htm#SEC1298	
+modnormal_lib		sing_1222.htm#SEC1298	
+modrWalk		sing_2341.htm#SEC2417	
+modregCM		sing_1274.htm#SEC1350	
+modsatiety		sing_1272.htm#SEC1348	
+modstd.lib		sing_1224.htm#SEC1300	
+modstd_lib		sing_1224.htm#SEC1300	
+modular		sing_983.htm#SEC1059	
+modular methods		sing_1220.htm#IDX494	
+modular methods 		sing_1222.htm#IDX499	
+modular methods.		sing_1221.htm#IDX497	
+modular techniques.		sing_1223.htm#IDX501	
+modular.lib		sing_982.htm#SEC1058	
+modular_lib		sing_982.htm#SEC1058	
+modular_lib 		sing_982.htm#IDX427	
 module		sing_134.htm#SEC174	
-module (plural)		sing_481.htm#SEC521	
+module (plural)		sing_482.htm#SEC522	
 module declarations		sing_135.htm#SEC175	
-module declarations (plural)	module declarations (plural)	sing_482.htm#SEC522	
+module declarations (plural)	module declarations (plural)	sing_483.htm#SEC523	
 module expressions		sing_136.htm#SEC176	
-module expressions (plural)	module expressions (plural)	sing_483.htm#SEC523	
+module expressions (plural)	module expressions (plural)	sing_484.htm#SEC524	
 module operations		sing_137.htm#SEC177	
-module operations (plural)	module operations (plural)	sing_484.htm#SEC524	
-module ordering C		sing_895.htm#IDX402	
-module ordering c		sing_895.htm#IDX404	
+module operations (plural)	module operations (plural)	sing_485.htm#SEC525	
+module ordering C		sing_897.htm#IDX408	
+module ordering c		sing_897.htm#IDX410	
 module related functions	module related functions	sing_138.htm#SEC178	
-module related functions (plural)	module related functions (plural)	sing_485.htm#SEC525	
-module_containment		sing_1144.htm#SEC1220	
+module related functions (plural)	module related functions (plural)	sing_486.htm#SEC526	
+module_containment		sing_1147.htm#SEC1223	
 modulo		sing_348.htm#SEC388	
-modulo (plural)		sing_516.htm#SEC556	
-moduloSlim		sing_773.htm#SEC825	
-modwalk.lib		sing_2336.htm#IDX883	
-modwalk_lib		sing_2336.htm#IDX884	
-moebius		sing_2164.htm#SEC2240	
-moebius function		sing_2164.htm#IDX849	
-molien		sing_1676.htm#SEC1752	
-mondromy.lib		sing_1614.htm#SEC1690	
-mondromy_lib		sing_1614.htm#SEC1690	
+modulo (plural)		sing_517.htm#SEC557	
+moduloSlim		sing_775.htm#SEC827	
+modwalk.lib		sing_2339.htm#IDX890	
+modwalk_lib		sing_2339.htm#IDX891	
+moebius		sing_2167.htm#SEC2243	
+moebius function		sing_2167.htm#IDX856	
+molien		sing_1679.htm#SEC1755	
+mondromy.lib		sing_1617.htm#SEC1693	
+mondromy_lib		sing_1617.htm#SEC1693	
 monitor		sing_349.htm#SEC389	
-monodromy		sing_1562.htm#IDX591	
-monodromy 		sing_1567.htm#SEC1643	
-monodromy  		sing_1567.htm#IDX611	
-monodromy   		sing_1572.htm#IDX646	
-monodromy    		sing_1584.htm#IDX662	
-monodromy     		sing_1586.htm#IDX673	
-monodromyB		sing_1618.htm#SEC1694	
+monodromy		sing_1565.htm#IDX598	
+monodromy 		sing_1570.htm#SEC1646	
+monodromy  		sing_1570.htm#IDX618	
+monodromy   		sing_1575.htm#IDX653	
+monodromy    		sing_1587.htm#IDX669	
+monodromy     		sing_1589.htm#IDX680	
+monodromyB		sing_1621.htm#SEC1697	
 monomial		sing_350.htm#SEC390	
-monomial ordering		sing_1046.htm#IDX435	
-monomial orderings	General definitions for orderings	sing_845.htm#SEC897	
-monomial orderings 		sing_892.htm#SEC944	
-monomial orderings introduction	Introduction to orderings	sing_891.htm#SEC943	
-monomialInIdeal		sing_829.htm#SEC881	
-monomialLcm		sing_1992.htm#SEC2068	
-monomialideal.lib		sing_1223.htm#SEC1299	
-monomialideal_lib		sing_1223.htm#SEC1299	
-monomials and precedence	Miscellaneous oddities	sing_466.htm#IDX278	
-mons2intmat		sing_1311.htm#SEC1387	15555
-morsesplit		sing_1525.htm#SEC1601	
-mp_res_mat		sing_1758.htm#SEC1834	
-mplot		sing_1798.htm#SEC1874	
+monomial ordering		sing_1048.htm#IDX441	
+monomial orderings	General definitions for orderings	sing_847.htm#SEC899	
+monomial orderings 		sing_894.htm#SEC946	
+monomial orderings introduction	Introduction to orderings	sing_893.htm#SEC945	
+monomialInIdeal		sing_831.htm#SEC883	
+monomialLcm		sing_1995.htm#SEC2071	
+monomialideal.lib		sing_1226.htm#SEC1302	
+monomialideal_lib		sing_1226.htm#SEC1302	
+monomials and precedence	Miscellaneous oddities	sing_466.htm#IDX284	
+mons2intmat		sing_1314.htm#SEC1390	15555
+morsesplit		sing_1528.htm#SEC1604	
+mp_res_mat		sing_1761.htm#SEC1837	
+mplot		sing_1801.htm#SEC1877	
 mpresmat		sing_351.htm#SEC391	
-mprimdec.lib		sing_1240.htm#SEC1316	
-mprimdec_lib		sing_1240.htm#SEC1316	
-mregular.lib		sing_1255.htm#SEC1331	
-mregular_lib		sing_1255.htm#SEC1331	
+mprimdec.lib		sing_1243.htm#SEC1319	
+mprimdec_lib		sing_1243.htm#SEC1319	
+mregular.lib		sing_1258.htm#SEC1334	
+mregular_lib		sing_1258.htm#SEC1334	
 mres		sing_352.htm#SEC392	
-mres (plural)		sing_517.htm#SEC557	
+mres (plural)		sing_518.htm#SEC558	
 mstd		sing_353.htm#SEC393	
 msum		sing_58.htm#SEC95	
 mtriple		sing_57.htm#SEC94	
 mult	Miscellaneous oddities	sing_354.htm#SEC394	
-mult 		sing_466.htm#IDX279	
+mult 		sing_466.htm#IDX285	
 multBound		sing_446.htm#SEC486	
-multRat		sing_837.htm#SEC889	
-multarr2arr		sing_2159.htm#SEC2235	
-multarrMultRestrict		sing_2161.htm#SEC2237	
-multarrRestrict		sing_2160.htm#SEC2236	
-multcol		sing_1098.htm#SEC1174	
-multdivisor		sing_2236.htm#SEC2312	
-multformaldivisor		sing_2248.htm#SEC2324	
-multi		sing_1979.htm#SEC2055	
+multRat		sing_839.htm#SEC891	
+multarr2arr		sing_2162.htm#SEC2238	
+multarrMultRestrict		sing_2164.htm#SEC2240	
+multarrRestrict		sing_2163.htm#SEC2239	
+multcol		sing_1101.htm#SEC1177	
+multdivisor		sing_2239.htm#SEC2315	
+multformaldivisor		sing_2251.htm#SEC2327	
+multi		sing_1982.htm#SEC2058	
 multi indices		sing_37.htm#SEC65	
-multiDeg		sing_2371.htm#SEC2447	
-multiDegBasis		sing_2372.htm#SEC2448	
-multiDegGroebner		sing_2380.htm#SEC2456	
-multiDegModulo		sing_2382.htm#SEC2458	
-multiDegPartition		sing_2373.htm#SEC2449	
-multiDegResolution		sing_2383.htm#SEC2459	
-multiDegSyzygy		sing_2381.htm#SEC2457	
-multiDegTensor		sing_2384.htm#SEC2460	
-multiDegTor		sing_2385.htm#SEC2461	
-multiarrangement		sing_2155.htm#IDX829	
-multiarrangement 		sing_2156.htm#IDX831	
-multiarrangement  		sing_2157.htm#IDX834	
-multiarrangement   		sing_2158.htm#IDX835	
-multiarrangement    		sing_2159.htm#IDX838	
-multiarrangement     		sing_2160.htm#IDX841	
-multiarrangement      		sing_2161.htm#IDX843	
-multidimensional_knapsack	multidimensional_knapsack	sing_1957.htm#SEC2033	
-multigrading, multidegree, multiweights, multigraded-homogeneous, integral linear algebra	multigrading_lib	sing_2341.htm#IDX887	
-multigrading.lib		sing_2341.htm#IDX885	
-multigrading_lib		sing_2341.htm#IDX886	
-multiplicities, sequence of		sing_1593.htm#IDX685	
-multiplicity sequence		sing_1506.htm#IDX564	
-multiplicity sequence 		sing_1509.htm#IDX576	
-multiplicity sequence  		sing_1595.htm#IDX686	
-multiplylist		sing_1446.htm#SEC1522	
-multivariate equations		sing_1732.htm#IDX703	
-multrow		sing_1099.htm#SEC1175	
-multseq2charexp		sing_1505.htm#SEC1581	
-multsequence		sing_1595.htm#SEC1671	
-nBoundaryLatticePoints	nBoundaryLatticePoints	sing_2453.htm#SEC2529	
-nHilbertBasis		sing_2454.htm#SEC2530	
-nInteriorLatticePoints	nInteriorLatticePoints	sing_2455.htm#SEC2531	
-nLatticePoints		sing_2456.htm#SEC2532	
-naccache_stern_decryption	naccache_stern_decryption	sing_1960.htm#SEC2036	
-naccache_stern_encryption	naccache_stern_encryption	sing_1959.htm#SEC2035	
-naccache_stern_generation	naccache_stern_generation	sing_1958.htm#SEC2034	
+multiDeg		sing_2374.htm#SEC2450	
+multiDegBasis		sing_2375.htm#SEC2451	
+multiDegGroebner		sing_2383.htm#SEC2459	
+multiDegModulo		sing_2385.htm#SEC2461	
+multiDegPartition		sing_2376.htm#SEC2452	
+multiDegResolution		sing_2386.htm#SEC2462	
+multiDegSyzygy		sing_2384.htm#SEC2460	
+multiDegTensor		sing_2387.htm#SEC2463	
+multiDegTor		sing_2388.htm#SEC2464	
+multiarrangement		sing_2158.htm#IDX836	
+multiarrangement 		sing_2159.htm#IDX838	
+multiarrangement  		sing_2160.htm#IDX841	
+multiarrangement   		sing_2161.htm#IDX842	
+multiarrangement    		sing_2162.htm#IDX845	
+multiarrangement     		sing_2163.htm#IDX848	
+multiarrangement      		sing_2164.htm#IDX850	
+multidimensional_knapsack	multidimensional_knapsack	sing_1960.htm#SEC2036	
+multigrading, multidegree, multiweights, multigraded-homogeneous, integral linear algebra	multigrading_lib	sing_2344.htm#IDX894	
+multigrading.lib		sing_2344.htm#IDX892	
+multigrading_lib		sing_2344.htm#IDX893	
+multiplicities, sequence of		sing_1596.htm#IDX692	
+multiplicity sequence		sing_1509.htm#IDX571	
+multiplicity sequence 		sing_1512.htm#IDX583	
+multiplicity sequence  		sing_1598.htm#IDX693	
+multiplylist		sing_1449.htm#SEC1525	
+multivariate equations		sing_1735.htm#IDX710	
+multrow		sing_1102.htm#SEC1178	
+multseq2charexp		sing_1508.htm#SEC1584	
+multsequence		sing_1598.htm#SEC1674	
+nBoundaryLatticePoints	nBoundaryLatticePoints	sing_2458.htm#SEC2534	
+nHilbertBasis		sing_2459.htm#SEC2535	
+nInteriorLatticePoints	nInteriorLatticePoints	sing_2460.htm#SEC2536	
+nLatticePoints		sing_2461.htm#SEC2537	
+naccache_stern_decryption	naccache_stern_decryption	sing_1963.htm#SEC2039	
+naccache_stern_encryption	naccache_stern_encryption	sing_1962.htm#SEC2038	
+naccache_stern_generation	naccache_stern_generation	sing_1961.htm#SEC2037	
 nameof		sing_355.htm#SEC395	
 names		sing_356.htm#SEC396	
-nashmult		sing_1513.htm#SEC1589	
-nblocks		sing_406.htm#IDX214	
-ncExt_R		sing_806.htm#SEC858	
-ncHom		sing_807.htm#SEC859	
-ncRelations		sing_774.htm#SEC826	
-nc_algebra		sing_518.htm#SEC558	
-ncalg.lib		sing_708.htm#SEC760	
-ncalg_lib		sing_708.htm#SEC760	
-ncalgebra		sing_519.htm#SEC559	
-ncdecomp.lib		sing_735.htm#SEC787	
-ncdecomp_lib		sing_735.htm#SEC787	
-ncdetection		sing_702.htm#SEC754	
-ncfactor.lib		sing_740.htm#SEC792	
-ncfactor_lib		sing_740.htm#SEC792	
-nchomolog.lib		sing_805.htm#IDX361	
-nchomolog_lib		sing_805.htm#IDX362	
+nashmult		sing_1516.htm#SEC1592	
+nblocks		sing_406.htm#IDX220	
+ncExt_R		sing_808.htm#SEC860	
+ncHom		sing_809.htm#SEC861	
+ncRelations		sing_776.htm#SEC828	
+nc_algebra		sing_519.htm#SEC559	
+ncalg.lib		sing_709.htm#SEC761	
+ncalg_lib		sing_709.htm#SEC761	
+ncalgebra		sing_520.htm#SEC560	
+ncdecomp.lib		sing_736.htm#SEC788	
+ncdecomp_lib		sing_736.htm#SEC788	
+ncdetection		sing_703.htm#SEC755	
+ncfactor		sing_742.htm#SEC794	
+ncfactor.lib		sing_741.htm#SEC793	
+ncfactor_lib		sing_741.htm#SEC793	
+nchomolog.lib		sing_807.htm#IDX367	
+nchomolog_lib		sing_807.htm#IDX368	
 ncols		sing_357.htm#SEC397	
 ncones		sing_233.htm#SEC273	
-ncpreim.lib		sing_752.htm#SEC804	
-ncpreim_lib		sing_752.htm#SEC804	
-nctools.lib		sing_760.htm#SEC812	
-nctools_lib		sing_760.htm#SEC812	
-ndcond		sing_763.htm#SEC815	
+ncpreim.lib		sing_754.htm#SEC806	
+ncpreim_lib		sing_754.htm#SEC806	
+nctools.lib		sing_762.htm#SEC814	
+nctools_lib		sing_762.htm#SEC814	
+ndcond		sing_765.htm#SEC817	
 negatedCone		sing_211.htm#SEC251	
-negative degree lexicographical ordering		sing_894.htm#IDX393	
-negative degree reverse lexicographical ordering	Local orderings	sing_894.htm#IDX391	
-negative lexicographical ordering		sing_894.htm#IDX389	
-negativedivisor		sing_2237.htm#SEC2313	
-negativeformaldivisor	negativeformaldivisor	sing_2247.htm#SEC2323	
+negative degree lexicographical ordering		sing_896.htm#IDX399	
+negative degree reverse lexicographical ordering	Local orderings	sing_896.htm#IDX397	
+negative lexicographical ordering		sing_896.htm#IDX395	
+negativedivisor		sing_2240.htm#SEC2316	
+negativeformaldivisor	negativeformaldivisor	sing_2250.htm#SEC2326	
 net access	Command line options	sing_19.htm#IDX40	
-newTest		sing_1899.htm#SEC1975	
+newTest		sing_1902.htm#SEC1978	
 newline		sing_166.htm#SEC206	
-news		sing_2465.htm#SEC2541	
+news		sing_2470.htm#SEC2546	
 newstruct		sing_177.htm#SEC217	
-newstruct 		sing_2105.htm#IDX750	
-newtonDiag		sing_1007.htm#SEC1083	
+newstruct 		sing_2108.htm#IDX757	
+newtonDiag		sing_1009.htm#SEC1085	
 newtonPolytope		sing_241.htm#SEC281	
-newtonPolytopeLP		sing_2044.htm#SEC2120	
-newtonPolytopeP		sing_2043.htm#SEC2119	
-newtonpoly		sing_1600.htm#SEC1676	
-nf_icis		sing_1641.htm#SEC1717	
-nfmodStd		sing_2395.htm#SEC2471	
-nfmodstd.lib		sing_2393.htm#SEC2469	
-nfmodstd_lib		sing_2393.htm#SEC2469	
-nilpotent Lie algebras		sing_1399.htm#IDX516	
+newtonPolytopeLP		sing_2047.htm#SEC2123	
+newtonPolytopeP		sing_2046.htm#SEC2122	
+newtonpoly		sing_1603.htm#SEC1679	
+nf_icis		sing_1644.htm#SEC1720	
+nfmodStd		sing_2398.htm#SEC2474	
+nfmodSyz		sing_2400.htm#SEC2476	
+nfmodstd.lib		sing_2396.htm#SEC2472	
+nfmodstd_lib		sing_2396.htm#SEC2472	
+nfmodsyz.lib		sing_2399.htm#SEC2475	
+nfmodsyz_lib		sing_2399.htm#SEC2475	
+nilpotent Lie algebras		sing_1402.htm#IDX523	
 nmaxcones		sing_232.htm#SEC272	
 noether		sing_447.htm#SEC487	
-noether.lib		sing_1263.htm#SEC1339	
-noetherNormal		sing_1151.htm#SEC1227	
-noether_lib		sing_1263.htm#SEC1339	
-non-english special characters		sing_455.htm#IDX274	
-nonMonomials		sing_1315.htm#SEC1391	
-nonZeroEntry		sing_1154.htm#SEC1230	
-none, option		sing_364.htm#IDX145	
-norTest		sing_1283.htm#SEC1359	
-norm		sing_1978.htm#SEC2054	
-normal		sing_1273.htm#SEC1349	
-normal.lib		sing_1272.htm#SEC1348	
-normalC		sing_1275.htm#SEC1351	
-normalFan		sing_2457.htm#SEC2533	
-normalFanL		sing_2045.htm#SEC2121	
-normalForm		sing_2238.htm#SEC2314	
-normalI		sing_1359.htm#SEC1435	
-normalP		sing_1274.htm#SEC1350	
-normalToricRing		sing_1289.htm#SEC1365	29638
-normalToricRingFromBinomials	normalToricRingFromBinomials	sing_1290.htm#SEC1366	2301
-normal_lib		sing_1272.htm#SEC1348	
-normalform		sing_1529.htm#SEC1605	
+noether.lib		sing_1266.htm#SEC1342	
+noetherNormal		sing_1154.htm#SEC1230	
+noether_lib		sing_1266.htm#SEC1342	
+non-english special characters		sing_455.htm#IDX280	
+nonMonomials		sing_1318.htm#SEC1394	
+nonZeroEntry		sing_1157.htm#SEC1233	
+none, option		sing_364.htm#IDX150	
+norTest		sing_1286.htm#SEC1362	
+norm		sing_1981.htm#SEC2057	
+normal		sing_1276.htm#SEC1352	
+normal.lib		sing_1275.htm#SEC1351	
+normalC		sing_1278.htm#SEC1354	
+normalFan		sing_2462.htm#SEC2538	
+normalFanL		sing_2048.htm#SEC2124	
+normalForm		sing_2241.htm#SEC2317	
+normalI		sing_1362.htm#SEC1438	
+normalP		sing_1277.htm#SEC1353	
+normalToricRing		sing_1292.htm#SEC1368	29638
+normalToricRingFromBinomials	normalToricRingFromBinomials	sing_1293.htm#SEC1369	2301
+normal_lib		sing_1275.htm#SEC1351	
+normalform		sing_1532.htm#SEC1608	
 normaliz		sing_1.htm#IDX14	18426
-normaliz 		sing_1302.htm#SEC1378	
-normaliz.lib		sing_1287.htm#SEC1363	
-normaliz_lib		sing_1287.htm#SEC1363	
-normalization		sing_1217.htm#IDX485	
-normalization 		sing_1218.htm#IDX488	
-normalization  		sing_1219.htm#IDX491	
-normalization   		sing_1220.htm#IDX493	
-normalization    		sing_1273.htm#IDX495	
-normalization     		sing_1274.htm#IDX498	
-normalization      		sing_1275.htm#IDX501	
-normalization       		sing_1287.htm#IDX507	
-normalization.		sing_1214.htm#IDX484	
-normalization. 		sing_1406.htm#IDX538	
-normalize		sing_1000.htm#SEC1076	
+normaliz 		sing_1305.htm#SEC1381	
+normaliz.lib		sing_1290.htm#SEC1366	
+normaliz_lib		sing_1290.htm#SEC1366	
+normalization		sing_1220.htm#IDX492	
+normalization 		sing_1221.htm#IDX495	
+normalization  		sing_1222.htm#IDX498	
+normalization   		sing_1223.htm#IDX500	
+normalization    		sing_1276.htm#IDX502	
+normalization     		sing_1277.htm#IDX505	
+normalization      		sing_1278.htm#IDX508	
+normalization       		sing_1290.htm#IDX514	
+normalization.		sing_1217.htm#IDX491	
+normalization. 		sing_1409.htm#IDX545	
+normalize		sing_1002.htm#SEC1078	
 not		sing_96.htm#SEC136	
-notBuckets, option		sing_364.htm#IDX155	
-notRegularity, option		sing_364.htm#IDX153	
-notSugar, option		sing_364.htm#IDX154	
-notWarnSB, option		sing_364.htm#IDX176	
-npar		sing_1884.htm#SEC1960	
+notBuckets, option		sing_364.htm#IDX160	
+notRegularity, option		sing_364.htm#IDX158	
+notSugar, option		sing_364.htm#IDX159	
+notWarnSB, option		sing_364.htm#IDX181	
+npar		sing_1887.htm#SEC1963	
 npars		sing_358.htm#SEC398	
-nrRootsDeterm		sing_2009.htm#SEC2085	
-nrRootsProbab		sing_2008.htm#SEC2084	
+nrRootsDeterm		sing_2012.htm#SEC2088	
+nrRootsProbab		sing_2011.htm#SEC2087	
 nres		sing_359.htm#SEC399	
-nres (plural)		sing_520.htm#SEC560	
+nres (plural)		sing_521.htm#SEC561	
 nrows		sing_360.htm#SEC400	
-nrroots		sing_2038.htm#SEC2114	
-nsatiety		sing_1268.htm#SEC1344	
-nselect		sing_1170.htm#SEC1246	
-nt_solve		sing_1773.htm#SEC1849	
-ntsolve.lib		sing_1772.htm#SEC1848	
-ntsolve_lib		sing_1772.htm#SEC1848	
+nrroots		sing_2041.htm#SEC2117	
+nsatiety		sing_1271.htm#SEC1347	
+nselect		sing_1173.htm#SEC1249	
+nt_solve		sing_1776.htm#SEC1852	
+ntsolve.lib		sing_1775.htm#SEC1851	
+ntsolve_lib		sing_1775.htm#SEC1851	
 number		sing_139.htm#SEC179	
-number 		sing_2132.htm#IDX789	
+number 		sing_2135.htm#IDX796	
 number declarations		sing_140.htm#SEC180	
 number expressions		sing_141.htm#SEC181	
